Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class TIFFRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator
          org.apache.fop.render.PrintRendererConfigurator
              org.apache.fop.render.DefaultRendererConfigurator
                  org.apache.fop.render.java2d.Java2DRendererConfigurator
                      org.apache.fop.render.bitmap.BitmapRendererConfigurator
                          org.apache.fop.render.bitmap.TIFFRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

    public class TIFFRendererConfigurator

extends BitmapRendererConfigurator

TIFF Renderer configurator

Field Summary

Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator
`userAgent`

Constructor Summary
`TIFFRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

Method Summary
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `configure(Renderer renderer)` Configure the TIFF renderer.

Methods inherited from class org.apache.fop.render.bitmap.BitmapRendererConfigurator
`createCollectionFromFontList, getDefaultFontCollection`

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFRendererConfigurator

    public TIFFRendererConfigurator(FOUserAgent userAgent,
                                    RendererConfig.RendererConfigParser rendererConfigParser)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)
                   throws FOPException

  Configure the TIFF renderer. Get the configuration to be used for compression

  Overrides:
    `configure` in class `Java2DRendererConfigurator`
  Parameters:
    `renderer` - tiff renderer
  Throws:
    `FOPException` - fop exception fop exception

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Description copied from class: `BitmapRendererConfigurator`
  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `BitmapRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.